Package ch.qos.logback.core.joran.event

# Class SaxEvent

java.lang.Object
ch.qos.logback.core.joran.event.SaxEvent

Direct Known Subclasses:
  `BodyEvent`, `EndEvent`, `StartEvent`

public class SaxEvent extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`localName`
`final Locator`
`locator`
`final String`
`namespaceURI`
`final String`
`qName`

## Method Summary

Modifier and Type
Method
Description
`String`
`getLocalName()`
`Locator`
`getLocator()`
`String`
`getNamespaceURI()`
`String`
`getQName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### namespaceURI

public final String namespaceURI

### localName

public final String localName

### qName

public final String qName

### locator

public final Locator locator

## Method Details

### getLocalName

public String getLocalName()

### getLocator

public Locator getLocator()

### getNamespaceURI

public String getNamespaceURI()

### getQName

public String getQName()